---
title: "Get card"
description: "Retrieve card details for a customer. To retrieve sensitive card details, such as `cvv` and `card_number` use the View card sensitive details endpoint."
protocol: rest
method: GET
endpoint: "/v1/cards/{card_id}"
baseUrl: "https://api.gravv.xyz"
group: "Cards"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get card

<Endpoint method="GET" path="/v1/cards/{card_id}" />

Retrieve card details for a customer. To retrieve sensitive card details, such as `cvv` and `card_number` use the View card sensitive details endpoint.

## Path Parameters

<ParamField name="card_id" path="card_id" type="string" required>
  The ID of the card to retrieve.
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Card details |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Unique identifier for the card
    </ResponseField>

    <ResponseField name="date_created" type="string">
      Timestamp when the card was created
    </ResponseField>

    <ResponseField name="date_updated" type="string">
      Timestamp when the card was last updated
    </ResponseField>

    <ResponseField name="spending_controls" type="object">
      Spending controls for the card

      <Expandable title="properties">
        <ResponseField name="activated" type="boolean">
          Indicates if spending controls are activated
        </ResponseField>

        <ResponseField name="single_transaction_limit" type="number">
          Maximum amount allowed per single transaction
        </ResponseField>

        <ResponseField name="daily_transaction_limit" type="number">
          Maximum amount allowed per day
        </ResponseField>

        <ResponseField name="type" type="string">

          Possible values: `virtual`, `physical`
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="blockchain_network" type="string">
      Blockchain network associated with the card
    </ResponseField>

    <ResponseField name="name_on_card" type="string">
      Name printed on the card
    </ResponseField>

    <ResponseField name="masked_pan" type="string">
      Last 4 digits of the card number
    </ResponseField>

    <ResponseField name="expiry" type="string">
      Card expiration date
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status of the card

      Possible values: `active`, `freeze`, `blocked`, `inactive`
    </ResponseField>

    <ResponseField name="billing_address" type="object">

      <Expandable title="properties">
        <ResponseField name="street" type="string">
        </ResponseField>

        <ResponseField name="city" type="string">
        </ResponseField>

        <ResponseField name="state" type="string">
        </ResponseField>

        <ResponseField name="postal_code" type="string">
        </ResponseField>

        <ResponseField name="country_iso_code" type="string">
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="customer_id" type="string">
    </ResponseField>

    <ResponseField name="currency" type="string">
    </ResponseField>

    <ResponseField name="network" type="string">
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "billing_address": {
      "city": "Palo Alto",
      "country_iso_code": "US",
      "postal_code": "01023",
      "state": "California",
      "street": "Palo Alto"
    },
    "blockchain_network": "ethereum",
    "currency": "USD",
    "date_created": "2025-10-10T13:04:36.544962+01:00",
    "date_updated": "2025-10-13T17:57:26.56108+01:00",
    "expiry": "7/2029",
    "id": "dce0192a-9b3d-440b-9500-33dc9ac8dc20",
    "masked_pan": "9351",
    "name_on_card": "Test User Name",
    "network": "visa",
    "spending_controls": {
      "activated": true,
      "daily_transaction_limit": 50,
      "single_transaction_limit": 50,
      "type": "virtual"
    },
    "status": "active"
  },
  "error": null
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
